From 166f110f453bfd421eabc0b0e36455fee845dd3e Mon Sep 17 00:00:00 2001
From: Antonio Quartulli <antonio@openvpn.net>
Date: Mon, 14 Jul 2025 14:50:48 +0200
Subject: [PATCH 1/1] ovpn_dco_linux: drop unused enum clashing with kernel
 headers

enum ovpn_ifla_attrs and enum ovpn_mode are still clashing with
linux-6.16 headers (due to include ordering), despite a dirst
attempt to fix this issue.

However, these defines are not used at all in core because we
always create a DCO interface with the default params.

Fix the clash for good by deleting the offending enums.

Signed-off-by: Antonio Quartulli <antonio@openvpn.net>
---
 openvpn/dco/ovpn_dco_linux.h | 16 ----------------
 1 file changed, 16 deletions(-)

diff --git a/openvpn3-core/openvpn/dco/ovpn_dco_linux.h b/openvpn/dco/ovpn_dco_linux.h
index 238f71f7..5b7fe8d8 100644
--- a/openvpn3-core/openvpn/dco/ovpn_dco_linux.h
+++ b/openvpn3-core/openvpn/dco/ovpn_dco_linux.h
@@ -239,22 +239,6 @@ enum ovpn_netlink_packet_attrs {
 	OVPN_PACKET_ATTR_MAX = __OVPN_PACKET_ATTR_AFTER_LAST - 1,
 };

-enum ovpn_ifla_attrs {
-	IFLA_OVPN_UNSPEC = 0,
-	IFLA_OVPN_MODE,
-
-	__IFLA_OVPN_AFTER_LAST,
-	IFLA_OVPN_MAX = __IFLA_OVPN_AFTER_LAST - 1,
-};
-
-enum ovpn_mode {
-	__OVPN_MODE_FIRST = 0,
-	OVPN_MODE_P2P = __OVPN_MODE_FIRST,
-	OVPN_MODE_MP,
-
-	__OVPN_MODE_AFTER_LAST,
-};
-
 /// \endcond

 #endif /* _UAPI_LINUX_OVPN_DCO_H_ */
--
2.51.0

